package com.kcim.service;

import com.kcim.dao.model.Material;
import com.kcim.dao.model.OrderItemMap;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @program: CostAccount
 * @description: 材料成本管理接口
 * @author: Wang.YS
 * @create: 2023-11-07 14:21
 **/
public interface MaterialService {
    Object getMaterialList(Integer current, Integer pageSize, String name, Integer itemType, Integer stop);

    void addMaterial(Material request);

    void editMaterial(Material request);

    void deleteMaterial(Integer id);

    Object exportMaterial(HttpServletResponse response);

    void importMaterial(MultipartFile file);

    List<OrderItemMap> getItemDict(String name);
}
